#pragma once

class CMarkDialog :
	public WindowImplBase
{
public:
	static CMarkDialog* sm_mark;
	std::function<void()> m_cb;
public:
	CMarkDialog() {}
	virtual ~CMarkDialog() {}

	static void ShowMark(
		HWND parent, 
		std::function<void()> cb);

	static void DeleteMark();
	static HWND GetMarkHwnd();
	virtual void InitWindow() {}

	LRESULT HandleCustomMessage(
		UINT uMsg, 
		WPARAM wParam, 
		LPARAM lParam, 
		BOOL& bHandled);

	LRESULT OnSysCommand(
		UINT uMsg, 
		WPARAM wParam, 
		LPARAM lParam, 
		BOOL& bHandled);

	virtual CDuiString GetSkinFile() {
		return _T("Mark.xml");
	}

	virtual LPCTSTR GetWindowClassName() CONST {
		return _T("WhoAreYou_Mark");
	}

	virtual void OnFinalMessage(HWND hWnd) {
		__super::OnFinalMessage(hWnd);
		delete this;
	}

	virtual void Notify(TNotifyUI &msg) {
		return WindowImplBase::Notify(msg);
	}

	DUI_DECLARE_MESSAGE_MAP()
		virtual void OnWindowInit(
			TNotifyUI& msg);
};

