#pragma once
#include "..\WAYBasics\WAYTimer.h"

using namespace WAY;

class CUIFinger
{
public:
	COptionUI* m_UIOption;
	CTextUI* m_UIScanImg;
	CTextUI* m_UIFingerprint;
	bool m_bRegisted;
	bool m_bAnimationFlag;
	decltype(WINBIO_ANSI_381_POS_UNKNOWN) m_Type;
	WAYTimer m_timer;
public:
	CUIFinger() {}
	~CUIFinger() {}

	static const bool InitFingers(
		CPaintManagerUI* pm,
		std::vector<CUIFinger>& fingers);

	void Regist(
		const bool bRegist);
	const bool IsEnter(
		TNotifyUI& msg);
	const bool IsLeave(
		TNotifyUI& msg);

};