// WhoAreYouFMA.cpp : Ӧóڵ㡣
//

#include "stdafx.h"
#include "WhoAreYouFMA.h"
#include "FMAMainDialog.h"
#include "resource.h"

void InitResource()
{
	// Դ
#ifdef _DEBUG
	CPaintManagerUI::SetResourceType(UILIB_FILE);
#else
	CPaintManagerUI::SetResourceType(UILIB_FILE);
#endif
	// Դ·
	CDuiString strResourcePath = CPaintManagerUI::GetInstancePath();
	// Դ
	switch (CPaintManagerUI::GetResourceType())
	{
	case UILIB_FILE:
	{
		strResourcePath += _T("Resources\\");
		//strResourcePath += _T("Resources\\");
		CPaintManagerUI::SetResourcePath(strResourcePath.GetData());
		// Դ
		CResourceManager::GetInstance()->LoadResource(_T("res.xml"), NULL);
		break;
	}
	case UILIB_RESOURCE:
	{
		strResourcePath += _T("skin\\duidemo\\");
		CPaintManagerUI::SetResourcePath(strResourcePath.GetData());
		// Դ
		CResourceManager::GetInstance()->LoadResource(_T("IDR_RES"), _T("xml"));
		break;
	}
	case UILIB_ZIP:
	{
		strResourcePath += _T("Resources\\");
		CPaintManagerUI::SetResourcePath(strResourcePath.GetData());
		// 
		//CPaintManagerUI::SetResourceZip(_T("Resources"), true, _T("whoareu333605b"));
		CPaintManagerUI::SetResourceZip(_T("Resources.zip"), true);
		// Դ
		CResourceManager::GetInstance()->LoadResource(_T("res.xml"), NULL);
		break;
	}
	case UILIB_ZIPRESOURCE:
	{
		strResourcePath += _T("Resources\\");
		CPaintManagerUI::SetResourcePath(strResourcePath.GetData());
		HRSRC hResource = ::FindResource(CPaintManagerUI::GetResourceDll(), _T("IDR_ZIPRES1"), _T("ZIPRES"));
		if (hResource != NULL) {
			DWORD dwSize = 0;
			HGLOBAL hGlobal = ::LoadResource(CPaintManagerUI::GetResourceDll(), hResource);
			if (hGlobal != NULL) {
				dwSize = ::SizeofResource(CPaintManagerUI::GetResourceDll(), hResource);
				if (dwSize > 0) {
					CPaintManagerUI::SetResourceZip((LPBYTE)::LockResource(hGlobal), dwSize);
					// Դ
					CResourceManager::GetInstance()->LoadResource(_T("res.xml"), NULL);
				}
			}
			::FreeResource(hResource);
		}
	}
	break;
	}

	// עؼ
	//REGIST_DUICONTROL(CCircleProgressUI);
	//REGIST_DUICONTROL(CMyComboUI);
	//REGIST_DUICONTROL(CChartViewUI);
	//REGIST_DUICONTROL(CWndUI);
}

int APIENTRY wWinMain(_In_ HINSTANCE hInstance,
	_In_opt_ HINSTANCE hPrevInstance,
	_In_ LPWSTR    lpCmdLine,
	_In_ int       nCmdShow)
{
	HRESULT Hr = ::CoInitialize(NULL);
	if (FAILED(Hr))
		return 0;
	HRESULT hRes = ::OleInitialize(NULL);
	CPaintManagerUI::SetInstance(hInstance);
	InitResource();
	CFMAMainDialog* pMainWnd = new CFMAMainDialog;
	if (pMainWnd == NULL) return 0;
	pMainWnd->Create(
		NULL, 
		_T("WAY Windows Fingerprint management"),
		WS_VISIBLE | WS_POPUPWINDOW | WS_CAPTION | WS_CLIPSIBLINGS | WS_CLIPCHILDREN, 
		0l, 
		0, 
		0, 
		800, 
		572);

	pMainWnd->CenterWindow();
	CPaintManagerUI::MessageLoop();
	pMainWnd = NULL;
	CPaintManagerUI::Term();
	OleUninitialize();
	::CoUninitialize();
	return 0;
}