#pragma once
class CWindowsPwdDialog :
	public WindowImplBase
{
public:
	CWindowsPwdDialog(bool* bCancel)
	{
		_bCancel = bCancel;
	}
	virtual ~CWindowsPwdDialog() {}

	static bool Popup(HWND parent);
	virtual void InitWindow();
	bool _HelpWindowsUrl();
	virtual LRESULT OnTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
		//::MessageBox(NULL, _T("AC"), _T(""), NULL);
		bHandled = TRUE;
		return 0;
	}
	LRESULT HandleCustomMessage(
		UINT uMsg,
		WPARAM wParam,
		LPARAM lParam,
		BOOL& bHandled);

	LRESULT OnSysCommand(
		UINT uMsg,
		WPARAM wParam,
		LPARAM lParam,
		BOOL& bHandled);

	virtual CDuiString GetSkinFile()
	{
		return _T("WindowLogin.xml");
	}

	virtual LPCTSTR GetWindowClassName() const
	{
		return _T("WindowLogin");
	}

	virtual void OnFinalMessage(HWND hWnd)
	{
		__super::OnFinalMessage(hWnd);
		delete this;
	}

	virtual void Notify(TNotifyUI &msg)
	{
		return WindowImplBase::Notify(msg);
	}

	DUI_DECLARE_MESSAGE_MAP()
		virtual VOID OnButtonClick(TNotifyUI& msg);
	virtual void OnFocus(TNotifyUI& msg);
	virtual void OnKillFocus(TNotifyUI& msg);

protected:
	CButtonUI
		*_UIBtnClose = nullptr,
		*_UIBtnPwdOK = nullptr,
		*_UIBtnDlgSetting = nullptr;
	CEditUI
		*_UIEditPassword = nullptr;
	CLabelUI
		*_UILabelTip = nullptr;
	CTextUI
		*_UIEditPasswordBG = nullptr;
	static CWindowsPwdDialog* sm_dialog;
	bool* _bCancel = nullptr;
	HANDLE hUser;
};

